summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/motion-svn/rc.motion
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/community/motion-svn/rc.motion')
-rw-r--r--abs/extra/community/motion-svn/rc.motion36
1 files changed, 36 insertions, 0 deletions
diff --git a/abs/extra/community/motion-svn/rc.motion b/abs/extra/community/motion-svn/rc.motion
new file mode 100644
index 0000000..7dd027c
--- /dev/null
+++ b/abs/extra/community/motion-svn/rc.motion
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/motion`
+case "$1" in
+ start)
+ stat_busy "Starting Motion"
+ [ -z "$PID" ] && /usr/bin/motion
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon motion
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Motion"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon motion
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0